# omitVals | Welshman Docs
Documentation for Welshman Docs

# Function omitVals

Creates new object excluding entries with specified values

- omitVals< T extends Record<string, any>>(xs: any[], x: T ): T

- #### Type Parameters

  - T extends Record<string, any>

  #### Parameters

  - xs: any[]

    Values to exclude

  - x: T

    Source object

  #### Returns T

  New object without entries containing specified values

  - Defined in packages/lib/src/Tools.ts:148